Vim的插件管理

来自软件实验室
跳转至: 导航搜索

vundle管理插件

vundle的安装

首先下载vundle,推荐:

git clone https://github.com/gmarik/vundle.git ~/.vim/bundle/vundle

然后编辑~/.vimrc文件,在开头增加如下的行:

set nocompatible 
filetype off
set rtp+=~/.vim/bundle/vundle/
call vundle#rc()
Bundle 'gmarik/vundle'
"其他插件放在这里
"Plugin 'mattn/emmet-vim'
filetype plugin indent on

需要注意的是,vundle的官方文档有坑,居然无法安装官方文档安装vundle。

vundle用法

直接将插件放到.vimrc文件中,然后在vim中执行:PluginInstall即可安装插件。:PluginInstall!更新插件。